Name: log4j
Version: 1.2.8
Release: alt2

Summary: A logging library for Java
Group: System/Libraries
License: Apache
URL: http://jakarta.apache.org/log4j/

%define javadir		%_datadir/java
%define javadocdir	%_datadir/javadoc
%define pkgdocdir	%_docdir/%name-%version

Source0: http://jakarta.apache.org/log4j/jakarta-log4j-%version.tar.bz2
Source1: jakarta-log4j.build.properties
Source2: %name-chainsaw.sh.in
Source3: %name-logfactor5.sh.in

BuildArch: noarch

BuildRequires: ant j2se-devel xml-commons-apis jaxp_parser_impl
BuildRequires: jaf javamail

%package utils
Summary: Utilities coming with log4j
Group: Monitoring
Requires: %name = %version-%release
Requires: java-common j2se

%package manual
Summary: Documentation to log4j
Group: Development/Java
Requires: %name-javadoc = %version-%release

%package javadoc
Summary: Javadoc to log4j
Group: Development/Java

%package contrib
Summary: Contributed sources to log4j
Group: Development/Java
Requires: %name = %version-%release

%description
Log4j is a reliable, fast and extensible logging library for Java.

%description utils
Command line launchers for log monitoring utilities coming with log4j.
The utilities featured are Chainsaw and LogFactor5.

%description manual
Log4j is a reliable, fast and extensible logging library for Java.

This package contains a log4j manual in HTML format.

%description javadoc
Javadoc-generated API documentation to log4j, a logging library for Java.

%description contrib
Log4j is a reliable, fast and extensible logging library for Java.

This package contains various source files contributed to
the log4j distribution.

%prep
%setup -q -n jakarta-log4j-%version
cp %SOURCE1 build.properties

%build
ant -Djava.lib.dir=%javadir jar javadoc

sed -e 's,@libdir@,%_libdir,g' \
    -e 's,@sysconfdir@,%_sysconfdir,g' \
    -e 's,@javadir@,%javadir,g' \
  < %SOURCE2 >chainsaw
sed -e 's,@libdir@,%_libdir,g' \
    -e 's,@sysconfdir@,%_sysconfdir,g' \
    -e 's,@javadir@,%javadir,g' \
  < %SOURCE3 >logfactor5

%install
mkdir -p $RPM_BUILD_ROOT%javadir
install -p -m644 dist/lib/log4j-%version.jar $RPM_BUILD_ROOT%javadir/%name.jar

mkdir -p $RPM_BUILD_ROOT%_bindir
install -m755 chainsaw logfactor5 $RPM_BUILD_ROOT%_bindir/

install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
install -p -m644 LICENSE.txt $RPM_BUILD_ROOT%pkgdocdir
cp -a docs/* $RPM_BUILD_ROOT%pkgdocdir/

mkdir -p $RPM_BUILD_ROOT%javadocdir
mv $RPM_BUILD_ROOT%pkgdocdir/api $RPM_BUILD_ROOT%javadocdir/%name
ln -s $(relative %javadocdir/%name %pkgdocdir/) $RPM_BUILD_ROOT%pkgdocdir/api

for f in $RPM_BUILD_ROOT%pkgdocdir/*; do echo "${f#$RPM_BUILD_ROOT}"; done |
   grep -Fv '/LICENSE.txt' >manual.list

cp -a contribs $RPM_BUILD_ROOT%pkgdocdir/

%files
%javadir/*
%dir %pkgdocdir
%pkgdocdir/LICENSE.txt

%files utils
%_bindir/*

%files manual -f manual.list
%dir %pkgdocdir

%files javadoc
%javadocdir/%name

%files contrib
%dir %pkgdocdir
%pkgdocdir/contribs

%changelog
* Sat Feb 28 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.8-alt2
- Added utils package featuring launchers for Chainsaw and LogFactor5
- buildreq

* Sun Oct 26 2003 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.8-alt1
- Updated to 1.2.8
- Added examples to doc package

* Tue May 28 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- Initial package created
